RandomSequenceGenerator (NeoBio API)

Overview | Package | Class | Tree | Index | Help
| NeoBio API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## neobio.textui
Class RandomSequenceGenerator

    java.lang.Object
      |
      +--neobio.textui.RandomSequenceGenerator

public class RandomSequenceGenerator
extends java.lang.Object

This class is a simple command line based utility for generating random sequences.

The main method takes three parameters from the command line to generate a sequence: `type`, `size` and `file`, where:

- `type` is either `DNA` for DNA sequences or `PROT` for protein sequences.
- `size` is the number os characters.
- `file` (optional) is the name of a file (if ommited, sequence is written to standard output).

Author:
  Sergio A. de Carvalho Jr.

Field Summary
`private static char[]` | `DNA_CHARS` Character set for DNA sequences.
`private static char[]` | `PROT_CHARS` Character set for protein sequences.

Constructor Summary
`RandomSequenceGenerator()`

Method Summary
`static void` | `main(java.lang.String[] args)` The main method takes three parameters from the command line to generate a sequence.
`private static void` | `usage()` Prints command line usage.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DNA_CHARS

    private static final char[] DNA_CHARS

  Character set for DNA sequences.

### PROT_CHARS

    private static final char[] PROT_CHARS

  Character set for protein sequences.

Constructor Detail

### RandomSequenceGenerator

    public RandomSequenceGenerator()

Method Detail

### main

    public static void main(java.lang.String[] args)

  The main method takes three parameters from the command line to generate a sequence. See the class description for details.

  Parameters:
    `args` - command line arguments

### usage

    private static void usage()

  Prints command line usage.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://neobio.sourceforge.net
NeoBio is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. NeoBio is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with NeoBio; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.